<%@include file="/include.jsp"%>
<%@ taglib prefix="props" tagdir="/WEB-INF/tags/props" %>
<jsp:useBean id="propertiesBean" scope="request" type="jetbrains.buildServer.controllers.BasePropertiesBean"/>

<table class="runnerFormTable">

    <l:settingsGroup title="General Settings">
        <tr>
            <th><label for="sscmCmdPath">Surround SCM Application/Binary Directory: </label></th>
            <td>
                <props:textProperty name="sscmCmdPath" className="longField" />
                <div class="smallNote" style="margin: 0;">The directory where Surround SCM is installed. Example: C:\Program Files\Seapine\Surround SCM\ (Windows) or /usr/bin/ (Unix)</div>
            </td>
        </tr>
        <tr>
            <th><label for="repositoryPath">Full Path to Repository: </label></th>
            <td><props:textProperty name="repositoryPath" className="longField" /></td>
        </tr>
        <tr>
            <th><label for="branchName">Branch name: </label></th>
            <td><props:textProperty name="branchName" /></td>
        </tr>
    </l:settingsGroup>
    <l:settingsGroup title="Server settings">
        <tr>
            <th><label for="connectMethod">Connection Method:</label></th>
            <td><props:selectProperty name="connectMethod" onchange="selectConnect()">
                <props:option value="HOSTPORT">Server Host and Port</props:option>
                <props:option value="RSAKEY">RSA Key File</props:option>
            </props:selectProperty></td>
        </tr>
        <tr id="rsaKeyPathRow">
            <th><label for="rsaKeyPath">Server RSA Key Path: </label></th>
            <td>
                <props:textProperty name="rsaKeyPath" className="longField" />
                <div class="smallNote" style="margin: 0;">Path to the RSA Key File. Example: C:\RsaConnectionKey.xml (Windows) or /home/user/RsaConnectionKey.xml (Unix)</div>
            </td>
        </tr>
        <tr id="hostServerRow">
            <th><label for="serverAddress">Server Address: </label></th>
            <td><props:textProperty name="serverAddress" /></td>
        </tr>
        <tr id="hostPortRow">
            <th><label for="port">Server Port: </label></th>
            <td><props:textProperty name="port" /></td>
        </tr>
    </l:settingsGroup>
    <l:settingsGroup title="Authentication settings">
        <tr>
            <th><label for="authMethod">Authentication Method:</label></th>
            <td><props:selectProperty name="authMethod" onchange="selectAuth()">
                <props:option value="SSO">Single Sign-on</props:option>
                <props:option value="PASSWORD">Username and Password</props:option>
            </props:selectProperty></td>
        </tr>
        <tr id = "usernameRow">
            <th><label for="username">User name:</label></th>
            <td><props:textProperty name="username"/></td>
        </tr>
        <tr id = "passwordRow">
            <th><label for="secure:password">Password:</label></th>
            <td><props:passwordProperty name="secure:password"/></td>
        </tr>
    </l:settingsGroup>
</table>
<script type="text/javascript">
    window.selectAuth = function() {
        var c = $('authMethod');
        switch (c.value) {
            case 'SSO':
                BS.Util.hide('usernameRow', 'passwordRow');
                break;
            case 'PASSWORD':
                BS.Util.show('usernameRow', 'passwordRow');
                break;
        }
        BS.VisibilityHandlers.updateVisibility($('vcsRootProperties'));
    };
    selectAuth();

    window.selectConnect = function() {
        var c = $('connectMethod');
        switch (c.value) {
            case 'HOSTPORT':
                BS.Util.hide('rsaKeyPathRow');
                BS.Util.show('hostServerRow', 'hostPortRow');
                break;
            case 'RSAKEY':
                BS.Util.show('rsaKeyPathRow');
                BS.Util.hide('hostServerRow', 'hostPortRow');
                break;
        }
        BS.VisibilityHandlers.updateVisibility($('vcsRootProperties'));
    };
    selectConnect();
</script>